Bug 440124 - Second video window displays wrong part of the image when partially obscured
Second video window displays wrong part of the image when partially obscured
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 16:05 EDT by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:26:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (740 bytes, text/plain)
2008-04-03 11:16 EDT, Jay Fenlason
no flags Details
X log file with corianders running and the bug being demonstrated (62.33 KB, text/plain)
2008-04-03 11:16 EDT, Jay Fenlason
no flags Details
x log with minimal xorg.conf (62.81 KB, text/plain)
2008-04-03 11:34 EDT, Jay Fenlason
no flags Details

  None (edit)
Description Jay Fenlason 2008-04-01 16:05:12 EDT
Description of problem:
I have two instances of coriander running, displaying video from two Firewire
video cameras.  If the top part of the second video window is obscured by
another window, the video in the non-obscured part of the window is taken from
the top of the image (starting from the top, apparently).

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.Run coriander, have it display video from the iSight
2.Run another coriander, have it display video from the Fire-i
3.Obscure the top half of the Fire-i's video with a gnome-terminal.
4.notice that instead of the lower half of the video image, you now see the top
part in the video window.
  
Actual results:
Wrong part of the video image is shown

Expected results:
Correct part of the video is shown

Additional info:
This is on fenlason-lab1.boston.devel.redhat.com, and easily demonstrated here
in Westford.
Comment 1 Matěj Cepl 2008-04-02 18:56:23 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jay Fenlason 2008-04-03 11:16:10 EDT
Created attachment 300264 [details]
xorg.conf file
Comment 3 Jay Fenlason 2008-04-03 11:16:58 EDT
Created attachment 300265 [details]
X log file with corianders running and the bug being demonstrated
Comment 4 Jay Fenlason 2008-04-03 11:22:19 EDT
Hmm, removing /etc/X11/xorg.conf loses my keyboard mapping, making it 
difficult for me to log in.  Oops.
Comment 5 Jay Fenlason 2008-04-03 11:34:09 EDT
Created attachment 300267 [details]
x log with minimal xorg.conf

I created an xorg.conf that contains only the keyboard section, so I could log
in and run coriander.  Here's the xorg.0.log
Comment 6 Bug Zapper 2008-05-14 04:32:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 19:58:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 14:26:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.